Bug 240239 - tomcat5 5.5.23 requires a patch for MODELER-15 to be backported to modeler-1.1
Summary: tomcat5 5.5.23 requires a patch for MODELER-15 to be backported to modeler-1.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jakarta-commons-modeler (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
urgent
low
Target Milestone: ---
Assignee: Vivek Lakshmanan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240208
TreeView+ depends on / blocked
 
Reported: 2007-05-15 22:25 UTC by Vivek Lakshmanan
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: FC-6 Update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 18:13:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vivek Lakshmanan 2007-05-15 22:25:30 UTC
Clients like tomcat5 use j-c-modeler's
org.apache.commons.modeler.util.IntrospectionUtils to cache for web apps.
However 1.1 does not provide a way to clear this cache properly which results in
a memory leak when web-apps are reloaded. A fix has been included in
http://issues.apache.org/jira/browse/MODELER-15, but this is only available
in modeler 2.x. This fix is a requirement for tomcat5 upgrade to 5.5.23.

Comment 1 Fedora Update System 2007-05-21 22:36:58 UTC
tomcat5-5.5.23-0jpp.2.fc6 jakarta-commons-modeler-1.1-8jpp.2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.